## e325fc5df4191af63d0f3715a9bf8a515fb11b5a

=== docs/docsite/Makefile ===
OS := $(shell uname -s)
SITELIB = $(shell python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()"):
FORMATTER=../bin/plugin_formatter.py
TESTING_FORMATTER=../bin/testing_formatter.sh
DUMPER=../bin/dump_keywords.py
CONFIG_DUMPER=../bin/dump_config.py
GENERATE_CLI=../bin/generate_man.py
ifeq ($(shell echo $(OS) | egrep -ic 'Darwin|FreeBSD|OpenBSD|DragonFly'),1)
CPUS ?= $(shell sysctl hw.ncpu|awk '{print $$2}')
else
CPUS ?= $(shell nproc)
endif

assertrst:
ifndef rst
	$(error specify document or pattern with rst=somefile.rst)
endif

all: docs

docs: clean htmldocs

htmldocs: testing keywords modules staticmin cli config

	CPUS=$(CPUS) $(MAKE) -f Makefile.sphinx html

webdocs: docs

#TODO: leaving htmlout removal for those having older versions, should eventually be removed also
clean:
	-rm -rf htmlout
	-rm -rf _build
	-rm -f .buildinfo
	-rm -f objects.inv
	-rm -rf *.doctrees
	@echo "Cleaning up minified css files"
	find . -type f -name "*.min.css" -delete
	@echo "Cleaning up byte compiled python stuff"
	find . -regex ".*\.py[co]$$" -delete
	@echo "Cleaning up editor backup files"
	find . -type f \( -name "*~" -or -name "#*" \) -delete
	find . -type f \( -name "*.swp" \) -delete
	@echo "Cleaning up generated rst"
	-rm rst/list_of_*.rst
	-rm rst/*_by_category.rst
	-rm rst/*_module.rst
	-rm rst/*_maintained.rst
	-rm rst/playbooks_directives.rst
	-rm rst/playbooks_keywords.rst
#	-rm rst/cli/ansible*.rst

.PHONEY: docs clean

# TODO: make generate_man output dir cli option
cli: $(GENERATE_CLI)
	PYTHONPATH=../../lib $(GENERATE_CLI) --template-file=../templates/cli_rst.j2 --output-dir=rst/ --output-format rst ../../lib/ansible/cli/*.py

keywords: $(FORMATTER) ../templates/playbooks_keywords.rst.j2
	PYTHONPATH=../../lib $(DUMPER) --template-dir=../templates --output-dir=rst/ -d ./keyword_desc.yml

config:
	PYTHONPATH=../../lib $(CONFIG_DUMPER) --template-file=../templates/config.rst.j2 --output-dir=rst/ -d ../../lib/ansible/config/base.yml

modules: $(FORMATTER) ../templates/plugin.rst.j2
# Limit building of module documentation if requested.
ifdef MODULES
	PYTHONPATH=../../lib $(FORMATTER) -t rst --template-dir=../templates --module-dir=../../lib/ansible/modules -o rst/ -l $(MODULES)
else
	PYTHONPATH=../../lib $(FORMATTER) -t rst --template-dir=../templates --module-dir=../../lib/ansible/modules -o rst/
endif

testing:
	$(TESTING_FORMATTER)

staticmin:
	cat _themes/srtd/static/css/theme.css | sed -e 's/^[ 	]*//g; s/[ 	]*$$//g; s/\([:{;,]\) /\1/g; s/ {/{/g; s/\/\*.*\*\///g; /^$$/d' | sed -e :a -e '$$!N; s/\n\(.\)/\1/; ta' > _themes/srtd/static/css/theme.min.css

epub:
	(CPUS=$(CPUS) make -f Makefile.sphinx epub)

htmlsingle: assertrst
	sphinx-build -j $(CPUS) -b html -d _build/doctrees ./rst _build/html rst/$(rst)
	@echo "Output is in _build/html/$(rst:.rst=.html)"

=== packaging/macports/sysutils/ansible/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 102428 2013-02-02 18:34:49Z blair@macports.org $

PortSystem      1.0
PortGroup       python 1.0

name            ansible
version         devel
categories      sysutils
supported_archs noarch

maintainers     nomaintainer

homepage        https://ansible.com/
description     Ansible IT Automation
long_description \
    Ansible is a radically simple model-driven configuration \
    management, multi-node deployment, and orchestration \
    engine.  Ansible works over SSH and does not require any software \
    or daemons to be installed on remote nodes.  Extension modules can \
    be written in any language and are transferred to managed machines \
    automatically.

license         GPL-3+

platforms       darwin

fetch.type         git
git.url            https://github.com/ansible/ansible.git
git.branch         ${version}

python.default_version  27
depends_lib-append      port:py${python.version}-jinja2 \
                        port:py${python.version}-paramiko \
                        port:py${python.version}-yaml

patch {
    fs-traverse f ${worksrcpath} {
        if {[file isfile ${f}]} {
            reinplace -locale C "s#/etc/ansible#${prefix}/etc/ansible#g" ${f}
            reinplace -locale C "s#/usr/share/ansible#${prefix}/share/ansible#g" ${f}
        }
    }
}

post-destroot {
  # documentation and examples
  xinstall -m 644 -W ${worksrcpath} README.md CHANGELOG.md CONTRIBUTING.md COPYING  \
    ${destroot}${prefix}/share/doc/${name}

  xinstall -m 755 -d ${destroot}${prefix}/share/doc/examples
  xinstall -m 755 ${worksrcpath}/examples/ansible.cfg ${destroot}${prefix}/share/doc/${name}/examples
  xinstall -m 755 ${worksrcpath}/examples/hosts ${destroot}${prefix}/share/doc/${name}/examples

  file copy ${worksrcpath}/examples/playbooks ${destroot}${prefix}/share/doc/${name}/examples/

  # man pages
  xinstall -d 644 ${destroot}${prefix}/share/man/man1
  eval xinstall -m 755 [glob ${worksrcpath}/docs/man/man1/*.1] ${destroot}${prefix}/share/man/man1

  # install sample config and hosts file
  xinstall -m 755 -d ${destroot}${prefix}/etc/ansible
  xinstall -m 755 ${worksrcpath}/examples/ansible.cfg ${destroot}${prefix}/etc/ansible/ansible.cfg
  xinstall -m 755 ${worksrcpath}/examples/hosts ${destroot}${prefix}/etc/ansible/hosts
}

python.link_binaries_suffix
